#ifndef PIOPTMENMAC_H_SEEN
#define PIOPTMENMAC_H_SEEN

#include "pioptmenugen.h"

class PIOptMenuMac : public PIOptMenuGen {
public:
	                PIOptMenuMac(PIContainerGen* par, const char* nom,  
                               int sx=10, int sy=10, int px=0, int py=0);
	               ~PIOptMenuMac();

  virtual void      Process(PIMessage msg, PIMsgHandler* sender, void* data=NULL);
				   
  virtual void	    ListenToMessage(MessageT inMessage, void *ioParam);
  virtual string    GetValueStr() { return(mStext); }
  virtual PIMessage GetValue()    { return(mSmsg); } 
  virtual void      SetValueStr(string & s);
  virtual void      SetValue(PIMessage msg);
  

protected:
  string    mStext;
  PIMessage mSmsg;
};


typedef PIOptMenuMac  PIOptMenu ;

#endif
